Bug 243174 - mq_unlink(3) manual page is missing
Summary: mq_unlink(3) manual page is missing
Status: Closed FIXED
Alias: None
Product: Documentation
Classification: Unclassified
Component: Manual Pages (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Fernando Apesteguía
URL:
Keywords: needs-patch
Depends on:
Blocks:
 
Reported: 2020-01-08 05:02 UTC by Ronald F. Guilmette
Modified: 2021-02-18 18:02 UTC (History)
3 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ronald F. Guilmette 2020-01-08 05:02:14 UTC
On my 12.0-RELEASE system, the man page for mq_unlink(3) which is referenced in the man page for mq_open(3) and others, is simply missing:

% man mq_unlink
No manual entry for mq_unlink
Comment 1 Fernando Apesteguía freebsd_committer 2021-02-12 06:53:21 UTC
https://reviews.freebsd.org/D28593
Comment 2 commit-hook freebsd_committer 2021-02-18 18:00:41 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/src/commit/?id=acab1d58befaa8f42930bd62c26558e6005e1c13

commit acab1d58befaa8f42930bd62c26558e6005e1c13
Author:     Fernando Apesteguía <fernape@FreeBSD.org>
AuthorDate: 2021-02-18 17:53:06 +0000
Commit:     Fernando Apesteguía <fernape@FreeBSD.org>
CommitDate: 2021-02-18 17:56:52 +0000

    mq_unlink(3): Add manual page

    Summary: Add a succinct manual page for mq_unlink

    Mostly borrowed from https://pubs.opengroup.org/onlinepubs/9699959099/ and
    hence, the disclaimer note at the bottom.

    PR: 243174
    Reported by: rfg-freebsd@tristatelogic.com
    Reviewed by: gbe@, yuripv@
    Approved by: gbe@ (mentor), yuripv@
    Differential Revision: https://reviews.freebsd.org/D28593

 lib/libc/sys/Makefile.inc      |   1 +
 lib/libc/sys/mq_unlink.2 (new) | 121 +++++++++++++++++++++++++++++++++++++++++
 2 files changed, 122 insertions(+)
Comment 3 Fernando Apesteguía freebsd_committer 2021-02-18 18:02:56 UTC
Done.

Thanks!